Loading...
Searching...
No Matches
FreqDisplayForm Class Reference
GNU Radio C++ Signal Processing Blocks » QT Graphical Interfaces

DisplayForm child for managing frequency (PSD) plots. More...

`#include <gnuradio/qtgui/freqdisplayform.h>`

## Public Slots

void | customEvent (QEvent *e) override
void | setSampleRate (const QString &samprate) override
void | setFFTSize (const int)
void | setFFTAverage (const float)
void | setFFTWindowType (const gr::fft::window::win_type)
void | setFrequencyRange (const double centerfreq, const double bandwidth)
void | setYaxis (double min, double max)
void | setYLabel (const std::string &label, const std::string &unit="")
void | setYMax (const QString &m)
void | setYMin (const QString &m)
void | autoScale (bool en) override
void | autoScaleShot ()
void | setPlotPosHalf (bool half)
void | clearMaxHold ()
void | clearMinHold ()
void | updateTrigger (gr::qtgui::trigger_mode mode)
void | setTriggerMode (gr::qtgui::trigger_mode mode)
void | setTriggerLevel (QString s)
void | setTriggerLevel (float level)
void | setTriggerChannel (int chan)
void | setTriggerTagKey (QString s)
void | setTriggerTagKey (const std::string &s)
void | setupControlPanel (bool en)
void | setupControlPanel ()
void | teardownControlPanel ()
void | notifyYAxisPlus ()
void | notifyYAxisMinus ()
void | notifyYRangePlus ()
void | notifyYRangeMinus ()
void | notifyFFTSize (const QString &s)
void | notifyFFTWindow (const QString &s)
void | notifyMaxHold (bool en)
void | notifyMinHold (bool en)
void | notifyTriggerMode (const QString &mode)
void | notifyTriggerLevelPlus ()
void | notifyTriggerLevelMinus ()
Public Slots inherited from DisplayForm
void | mousePressEvent (QMouseEvent *e) override
void | customEvent (QEvent *e) override=0
void | closeEvent (QCloseEvent *e) override
void | setUpdateTime (double t)
void | setTitle (const QString &title)
void | setLineLabel (unsigned int which, const QString &label)
void | setLineColor (unsigned int which, const QString &color)
void | setLineWidth (unsigned int which, unsigned int width)
void | setLineStyle (unsigned int which, Qt::PenStyle style)
void | setLineMarker (unsigned int which, QwtSymbol::Style style)
void | setMarkerAlpha (unsigned int which, unsigned int alpha)
QString | title ()
QString | lineLabel (unsigned int which)
QString | lineColor (unsigned int which)
int | lineWidth (unsigned int which)
Qt::PenStyle | lineStyle (unsigned int which)
QwtSymbol::Style | lineMarker (unsigned int which)
int | markerAlpha (unsigned int which)
virtual void | setSampleRate (const QString &rate)
void | setStop (bool on)
void | setStop ()
void | setGrid (bool on)
void | setAxisLabels (bool en)
void | saveFigure ()
void | disableLegend ()

## Signals

void | signalFFTSize (int size)
void | signalFFTWindow (gr::fft::window::win_type win)
void | signalClearMaxData ()
void | signalClearMinData ()
void | signalSetMaxFFTVisible (bool en)
void | signalSetMinFFTVisible (bool en)
void | signalTriggerMode (gr::qtgui::trigger_mode mode)
void | signalTriggerLevel (float level)
void | signalReplot ()
Signals inherited from DisplayForm
void | plotPointSelected (const QPointF p, int type)
void | toggleGrid (bool en)

## Public Member Functions

| FreqDisplayForm (int nplots=1, QWidget *parent=0)
| ~FreqDisplayForm () override
FrequencyDisplayPlot * | getPlot () override
int | getFFTSize () const
float | getFFTAverage () const
gr::fft::window::win_type | getFFTWindowType () const
gr::qtgui::trigger_mode | getTriggerMode () const
float | getTriggerLevel () const
int | getTriggerChannel () const
std::string | getTriggerTagKey () const
float | getClickedFreq () const
bool | checkClicked ()
Public Member Functions inherited from DisplayForm
| DisplayForm (int nplots=1, QWidget *parent=0)
| ~DisplayForm () override
void | Reset ()
void | enableMenu (bool en=true)

## Public Attributes

const int | MIN_FFT_SIZE = 32
const int | MAX_FFT_SIZE = 32768
const int | FFT_DEFAULT_SIZE = 1024

## Additional Inherited Members

Protected Attributes inherited from DisplayForm
unsigned int | d_nplots
QGridLayout * | d_layout
DisplayPlot * | d_display_plot
bool | d_system_specified_flag
QwtPlotGrid * | d_grid
bool | d_menu_on
QMenu * | d_menu
QAction * | d_stop_act
bool | d_stop_state
QAction * | d_grid_act
bool | d_grid_state
QAction * | d_axislabelsmenu
bool | d_axislabels
QAction * | d_autoscale_act
bool | d_autoscale_state
QList< QMenu * > | d_lines_menu
QList< LineTitleAction * > | d_line_title_act
QList< LineColorMenu * > | d_line_color_menu
QList< LineWidthMenu * > | d_line_width_menu
QList< LineStyleMenu * > | d_line_style_menu
QList< LineMarkerMenu * > | d_line_marker_menu
QList< MarkerAlphaMenu * > | d_marker_alpha_menu
PopupMenu * | d_samp_rate_act
QAction * | d_save_act
double | d_update_time

## Detailed Description

DisplayForm child for managing frequency (PSD) plots.

## Constructor & Destructor Documentation

## FreqDisplayForm()

FreqDisplayForm::FreqDisplayForm | ( | int | nplots = 1,
|  | QWidget * | parent = 0 )

## ~FreqDisplayForm()

FreqDisplayForm::~FreqDisplayForm | ( |  | ) |

override

## Member Function Documentation

## autoScale

void FreqDisplayForm::autoScale | ( | bool | en | ) |

override slot

## autoScaleShot

void FreqDisplayForm::autoScaleShot | ( |  | ) |

slot

## checkClicked()

bool FreqDisplayForm::checkClicked | ( |  | ) |

## clearMaxHold

void FreqDisplayForm::clearMaxHold | ( |  | ) |

slot

## clearMinHold

void FreqDisplayForm::clearMinHold | ( |  | ) |

slot

## customEvent

void FreqDisplayForm::customEvent | ( | QEvent * | e | ) |

override slot

## getClickedFreq()

float FreqDisplayForm::getClickedFreq | ( |  | ) | const

## getFFTAverage()

float FreqDisplayForm::getFFTAverage | ( |  | ) | const

## getFFTSize()

int FreqDisplayForm::getFFTSize | ( |  | ) | const

## getFFTWindowType()

gr::fft::window::win_type FreqDisplayForm::getFFTWindowType | ( |  | ) | const

## getPlot()

FrequencyDisplayPlot * FreqDisplayForm::getPlot | ( |  | ) |

override virtual

Implements DisplayForm.

## getTriggerChannel()

int FreqDisplayForm::getTriggerChannel | ( |  | ) | const

## getTriggerLevel()

float FreqDisplayForm::getTriggerLevel | ( |  | ) | const

## getTriggerMode()

gr::qtgui::trigger_mode FreqDisplayForm::getTriggerMode | ( |  | ) | const

## getTriggerTagKey()

std::string FreqDisplayForm::getTriggerTagKey | ( |  | ) | const

## notifyFFTSize

void FreqDisplayForm::notifyFFTSize | ( | const QString & | s | ) |

slot

## notifyFFTWindow

void FreqDisplayForm::notifyFFTWindow | ( | const QString & | s | ) |

slot

## notifyMaxHold

void FreqDisplayForm::notifyMaxHold | ( | bool | en | ) |

slot

## notifyMinHold

void FreqDisplayForm::notifyMinHold | ( | bool | en | ) |

slot

## notifyTriggerLevelMinus

void FreqDisplayForm::notifyTriggerLevelMinus | ( |  | ) |

slot

## notifyTriggerLevelPlus

void FreqDisplayForm::notifyTriggerLevelPlus | ( |  | ) |

slot

## notifyTriggerMode

void FreqDisplayForm::notifyTriggerMode | ( | const QString & | mode | ) |

slot

## notifyYAxisMinus

void FreqDisplayForm::notifyYAxisMinus | ( |  | ) |

slot

## notifyYAxisPlus

void FreqDisplayForm::notifyYAxisPlus | ( |  | ) |

slot

## notifyYRangeMinus

void FreqDisplayForm::notifyYRangeMinus | ( |  | ) |

slot

## notifyYRangePlus

void FreqDisplayForm::notifyYRangePlus | ( |  | ) |

slot

## setFFTAverage

void FreqDisplayForm::setFFTAverage | ( | const float |  | ) |

slot

## setFFTSize

void FreqDisplayForm::setFFTSize | ( | const int |  | ) |

slot

## setFFTWindowType

void FreqDisplayForm::setFFTWindowType | ( | const gr::fft::window::win_type |  | ) |

slot

## setFrequencyRange

void FreqDisplayForm::setFrequencyRange | ( | const double | centerfreq,
|  | const double | bandwidth )

slot

## setPlotPosHalf

void FreqDisplayForm::setPlotPosHalf | ( | bool | half | ) |

slot

## setSampleRate

void FreqDisplayForm::setSampleRate | ( | const QString & | samprate | ) |

override slot

## setTriggerChannel

void FreqDisplayForm::setTriggerChannel | ( | int | chan | ) |

slot

## setTriggerLevel [1/2]

void FreqDisplayForm::setTriggerLevel | ( | float | level | ) |

slot

## setTriggerLevel [2/2]

void FreqDisplayForm::setTriggerLevel | ( | QString | s | ) |

slot

## setTriggerMode

void FreqDisplayForm::setTriggerMode | ( | gr::qtgui::trigger_mode | mode | ) |

slot

## setTriggerTagKey [1/2]

void FreqDisplayForm::setTriggerTagKey | ( | const std::string & | s | ) |

slot

## setTriggerTagKey [2/2]

void FreqDisplayForm::setTriggerTagKey | ( | QString | s | ) |

slot

## setupControlPanel [1/2]

void FreqDisplayForm::setupControlPanel | ( |  | ) |

slot

## setupControlPanel [2/2]

void FreqDisplayForm::setupControlPanel | ( | bool | en | ) |

slot

## setYaxis

void FreqDisplayForm::setYaxis | ( | double | min,
|  | double | max )

slot

## setYLabel

void FreqDisplayForm::setYLabel | ( | const std::string & | label,
|  | const std::string & | unit = "" )

slot

## setYMax

void FreqDisplayForm::setYMax | ( | const QString & | m | ) |

slot

## setYMin

void FreqDisplayForm::setYMin | ( | const QString & | m | ) |

slot

## signalClearMaxData

void FreqDisplayForm::signalClearMaxData | ( |  | ) |

signal

## signalClearMinData

void FreqDisplayForm::signalClearMinData | ( |  | ) |

signal

## signalFFTSize

void FreqDisplayForm::signalFFTSize | ( | int | size | ) |

signal

## signalFFTWindow

void FreqDisplayForm::signalFFTWindow | ( | gr::fft::window::win_type | win | ) |

signal

## signalReplot

void FreqDisplayForm::signalReplot | ( |  | ) |

signal

## signalSetMaxFFTVisible

void FreqDisplayForm::signalSetMaxFFTVisible | ( | bool | en | ) |

signal

## signalSetMinFFTVisible

void FreqDisplayForm::signalSetMinFFTVisible | ( | bool | en | ) |

signal

## signalTriggerLevel

void FreqDisplayForm::signalTriggerLevel | ( | float | level | ) |

signal

## signalTriggerMode

void FreqDisplayForm::signalTriggerMode | ( | gr::qtgui::trigger_mode | mode | ) |

signal

## teardownControlPanel

void FreqDisplayForm::teardownControlPanel | ( |  | ) |

slot

## updateTrigger

void FreqDisplayForm::updateTrigger | ( | gr::qtgui::trigger_mode | mode | ) |

slot

## Member Data Documentation

## FFT_DEFAULT_SIZE

const int FreqDisplayForm::FFT_DEFAULT_SIZE = 1024

## MAX_FFT_SIZE

const int FreqDisplayForm::MAX_FFT_SIZE = 32768

## MIN_FFT_SIZE

const int FreqDisplayForm::MIN_FFT_SIZE = 32

The documentation for this class was generated from the following file:

- freqdisplayform.h